import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostSendMessage } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostSendMessageMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostSendMessage, ResponseType>({
    mutationKey: chatQueryKeys.sendMessage(),
    mutationFn: async (data) => {
      const response = await chatApi.sendMessage(data);
      return response.data;
    }
  });
};
